Index: trunk/LMDZ.GENERIC/libf/phystd/physiq.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1523)
+++ trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1524)
@@ -34,5 +34,6 @@
       use planete_mod, only: apoastr, periastr, year_day, peri_day, &
                             obliquit, nres, z0
-      use comcstfi_mod, only: pi, g, rcp, r, rad, mugaz, cpp, daysec
+      use comcstfi_mod, only: pi, g, rcp, r, rad, mugaz, cpp
+      use time_phylmdz_mod, only: daysec
       use callkeys_mod
       implicit none
@@ -127,7 +128,7 @@
 !     Authors
 !     -------
-!           Frederic Hourdin	15/10/93
-!           Francois Forget	1994
-!           Christophe Hourdin	02/1997 
+!           Frederic Hourdin        15/10/93
+!           Francois Forget        1994
+!           Christophe Hourdin        02/1997 
 !           Subroutine completely rewritten by F. Forget (01/2000)
 !           Water ice clouds: Franck Montmessin (update 06/2003)
@@ -249,5 +250,5 @@
       
 !$OMP THREADPRIVATE(fluxsurf_lw,fluxsurf_sw,fluxsurfabs_sw,fluxtop_lw,fluxabs_sw,fluxtop_dn,fluxdyn,OLR_nu,OSR_nu,&
-	
+        
         !$OMP zdtlw,zdtsw,sensibFlux)
 
@@ -270,5 +271,5 @@
       real dtlscale(ngrid,nlayer)                             ! Largescale routine.
       real zdtc(ngrid,nlayer)                                 ! Condense_co2 routine.
-      real zdtdif(ngrid,nlayer)	                              ! Turbdiff/vdifc routines.
+      real zdtdif(ngrid,nlayer)                                      ! Turbdiff/vdifc routines.
       real zdtmr(ngrid,nlayer)                                ! Mass_redistribution routine.
       real zdtrain(ngrid,nlayer)                              ! Rain routine.
@@ -442,8 +443,8 @@
         ALLOCATE(tsoil(ngrid,nsoilmx))    
         ALLOCATE(albedo(ngrid,L_NSPECTV))
- 	ALLOCATE(albedo_equivalent(ngrid))	
- 	ALLOCATE(albedo_snow_SPECTV(L_NSPECTV))
- 	ALLOCATE(albedo_co2_ice_SPECTV(L_NSPECTV))
- 	ALLOCATE(albedo_bareground(ngrid))           
+         ALLOCATE(albedo_equivalent(ngrid))        
+         ALLOCATE(albedo_snow_SPECTV(L_NSPECTV))
+         ALLOCATE(albedo_co2_ice_SPECTV(L_NSPECTV))
+         ALLOCATE(albedo_bareground(ngrid))           
         ALLOCATE(rnat(ngrid))         
         ALLOCATE(emis(ngrid))   
@@ -534,7 +535,7 @@
 !        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
          albedo(:,:)=0.0
- 	 albedo_bareground(:)=0.0
- 	 albedo_snow_SPECTV(:)=0.0
- 	 albedo_co2_ice_SPECTV(:)=0.0
+          albedo_bareground(:)=0.0
+          albedo_snow_SPECTV(:)=0.0
+          albedo_co2_ice_SPECTV(:)=0.0
          call surfini(ngrid,nq,qsurf,albedo,albedo_bareground,albedo_snow_SPECTV,albedo_co2_ice_SPECTV) 
          
@@ -736,5 +737,5 @@
               zlss=Mod(-(2.*pi*(zday/year_day)*nres - right_ascen),2.*pi)
       elseif (diurnal) then
-	      zlss=-2.*pi*(zday-.5)
+              zlss=-2.*pi*(zday-.5)
       else if(diurnal .eqv. .false.) then
               zlss=9999.
@@ -782,5 +783,5 @@
             zh(ig,l)=pt(ig,l)/zpopsk(ig,l)
             mass(ig,l)  = (pplev(ig,l) - pplev(ig,l+1))/glat(ig)
-	    massarea(ig,l)=mass(ig,l)*area(ig)
+            massarea(ig,l)=mass(ig,l)*area(ig)
          enddo
       enddo
@@ -845,11 +846,11 @@
                   call abort
                endif
-	       if(water) then
+               if(water) then
                   muvar(1:ngrid,1:nlayer)=mugaz/(1.e0+(1.e0/epsi-1.e0)*pq(1:ngrid,1:nlayer,igcm_h2o_vap)) 
-		  muvar(1:ngrid,nlayer+1)=mugaz/(1.e0+(1.e0/epsi-1.e0)*pq(1:ngrid,nlayer,igcm_h2o_vap)) 
-		  ! take into account water effect on mean molecular weight
-	       else
+                  muvar(1:ngrid,nlayer+1)=mugaz/(1.e0+(1.e0/epsi-1.e0)*pq(1:ngrid,nlayer,igcm_h2o_vap)) 
+                  ! take into account water effect on mean molecular weight
+               else
                   muvar(1:ngrid,1:nlayer+1)=mugaz
-	       endif 
+               endif 
       
 
@@ -904,6 +905,6 @@
                      zdtsw(ig,1:nlayer) = ntf*zdtsw1(ig,1:nlayer) + tf*zdtsw(ig,1:nlayer)
 
-                     OSR_nu(ig,1:L_NSPECTV) = ntf*OSR_nu1(ig,1:L_NSPECTV) + tf*OSR_nu(ig,1:L_NSPECTV)		       
-                     OLR_nu(ig,1:L_NSPECTI) = ntf*OLR_nu1(ig,1:L_NSPECTI) + tf*OLR_nu(ig,1:L_NSPECTI)		       
+                     OSR_nu(ig,1:L_NSPECTV) = ntf*OSR_nu1(ig,1:L_NSPECTV) + tf*OSR_nu(ig,1:L_NSPECTV)                       
+                     OLR_nu(ig,1:L_NSPECTI) = ntf*OLR_nu1(ig,1:L_NSPECTI) + tf*OLR_nu(ig,1:L_NSPECTI)                       
                   enddo                               
 
@@ -978,12 +979,12 @@
          !----------------------------
          if(enertest)then
-	    call planetwide_sumval(cpp*massarea(:,:)*zdtsw(:,:)/totarea_planet,dEtotSW)
-	    call planetwide_sumval(cpp*massarea(:,:)*zdtlw(:,:)/totarea_planet,dEtotLW)
-	    !call planetwide_sumval(fluxsurf_sw(:)*(1.-albedo_equivalent(:))*area(:)/totarea_planet,dEtotsSW) !JL13 carefull, albedo can have changed since the last time we called corrk
+            call planetwide_sumval(cpp*massarea(:,:)*zdtsw(:,:)/totarea_planet,dEtotSW)
+            call planetwide_sumval(cpp*massarea(:,:)*zdtlw(:,:)/totarea_planet,dEtotLW)
+            !call planetwide_sumval(fluxsurf_sw(:)*(1.-albedo_equivalent(:))*area(:)/totarea_planet,dEtotsSW) !JL13 carefull, albedo can have changed since the last time we called corrk
             call planetwide_sumval(fluxsurfabs_sw(:)*area(:)/totarea_planet,dEtotsSW) !JL13 carefull, albedo can have changed since the last time we called corrk
-	    call planetwide_sumval((fluxsurf_lw(:)*emis(:)-zplanck(:))*area(:)/totarea_planet,dEtotsLW)
-	    dEzRadsw(:,:)=cpp*mass(:,:)*zdtsw(:,:)
-	    dEzRadlw(:,:)=cpp*mass(:,:)*zdtlw(:,:)
-	    if (is_master) then
+            call planetwide_sumval((fluxsurf_lw(:)*emis(:)-zplanck(:))*area(:)/totarea_planet,dEtotsLW)
+            dEzRadsw(:,:)=cpp*mass(:,:)*zdtsw(:,:)
+            dEzRadlw(:,:)=cpp*mass(:,:)*zdtlw(:,:)
+            if (is_master) then
                print*,'---------------------------------------------------------------'
                print*,'In corrk SW atmospheric heating       =',dEtotSW,' W m-2'
@@ -993,5 +994,5 @@
                print*,'In corrk LW surface heating           =',dEtotsLW,' W m-2'
                print*,'surface net rad heating (SW+LW)       =',dEtotsLW+dEtotsSW,' W m-2'
-	    endif
+            endif
          endif ! end of 'enertest'
 
@@ -1009,6 +1010,6 @@
 
          ! JL12 the following if test is temporarily there to allow us to compare the old vdifc with turbdiff.
-	 if (UseTurbDiff) then
-	 
+         if (UseTurbDiff) then
+         
             call turbdiff(ngrid,nlayer,nq,rnat,                  &
                           ptimestep,capcal,lwrite,               &
@@ -1017,9 +1018,9 @@
                           pdt,pdq,zflubid,                       &
                           zdudif,zdvdif,zdtdif,zdtsdif,          &
-	                  sensibFlux,q2,zdqdif,zdqevap,zdqsdif,  &
+                          sensibFlux,q2,zdqdif,zdqevap,zdqsdif,  &
                           taux,tauy,lastcall)
 
-	 else
-	 
+         else
+         
             zdh(1:ngrid,1:nlayer)=pdt(1:ngrid,1:nlayer)/zpopsk(1:ngrid,1:nlayer)
  
@@ -1030,9 +1031,9 @@
                        zdh,pdq,zflubid,                       &
                        zdudif,zdvdif,zdhdif,zdtsdif,          &
-	               sensibFlux,q2,zdqdif,zdqsdif,          &
+                       sensibFlux,q2,zdqdif,zdqsdif,          &
                        taux,tauy,lastcall)
 
             zdtdif(1:ngrid,1:nlayer)=zdhdif(1:ngrid,1:nlayer)*zpopsk(1:ngrid,1:nlayer) ! for diagnostic only
-	    zdqevap(1:ngrid,1:nlayer)=0.
+            zdqevap(1:ngrid,1:nlayer)=0.
 
          end if !end of 'UseTurbDiff'
@@ -1060,27 +1061,27 @@
          if(enertest)then
          
-	    dEzdiff(:,:)=cpp*mass(:,:)*zdtdif(:,:)
+            dEzdiff(:,:)=cpp*mass(:,:)*zdtdif(:,:)
             do ig = 1, ngrid
-	       dEdiff(ig)=SUM(dEzdiff (ig,:))+ sensibFlux(ig)! subtract flux to the ground
-	       dEzdiff(ig,1)= dEzdiff(ig,1)+ sensibFlux(ig)! subtract flux to the ground
+               dEdiff(ig)=SUM(dEzdiff (ig,:))+ sensibFlux(ig)! subtract flux to the ground
+               dEzdiff(ig,1)= dEzdiff(ig,1)+ sensibFlux(ig)! subtract flux to the ground
             enddo
             
-	    call planetwide_sumval(dEdiff(:)*area(:)/totarea_planet,dEtot)
-	    dEdiffs(:)=capcal(:)*zdtsdif(:)-zflubid(:)-sensibFlux(:)
-	    call planetwide_sumval(dEdiffs(:)*area(:)/totarea_planet,dEtots)
-	    call planetwide_sumval(sensibFlux(:)*area(:)/totarea_planet,AtmToSurf_TurbFlux)
+            call planetwide_sumval(dEdiff(:)*area(:)/totarea_planet,dEtot)
+            dEdiffs(:)=capcal(:)*zdtsdif(:)-zflubid(:)-sensibFlux(:)
+            call planetwide_sumval(dEdiffs(:)*area(:)/totarea_planet,dEtots)
+            call planetwide_sumval(sensibFlux(:)*area(:)/totarea_planet,AtmToSurf_TurbFlux)
             
-	    if (is_master) then
+            if (is_master) then
             
                if (UseTurbDiff) then
-	       	  print*,'In TurbDiff sensible flux (atm=>surf) =',AtmToSurf_TurbFlux,' W m-2'
-               	  print*,'In TurbDiff non-cons atm nrj change   =',dEtot,' W m-2'
+                         print*,'In TurbDiff sensible flux (atm=>surf) =',AtmToSurf_TurbFlux,' W m-2'
+                         print*,'In TurbDiff non-cons atm nrj change   =',dEtot,' W m-2'
                   print*,'In TurbDiff (correc rad+latent heat) surf nrj change =',dEtots,' W m-2'
-	       else
-	       	  print*,'In vdifc sensible flux (atm=>surf)    =',AtmToSurf_TurbFlux,' W m-2'
-               	  print*,'In vdifc non-cons atm nrj change      =',dEtot,' W m-2'
-               	  print*,'In vdifc (correc rad+latent heat) surf nrj change =',dEtots,' W m-2'
-	       end if
-	    endif ! end of 'is_master'
+               else
+                         print*,'In vdifc sensible flux (atm=>surf)    =',AtmToSurf_TurbFlux,' W m-2'
+                         print*,'In vdifc non-cons atm nrj change      =',dEtot,' W m-2'
+                         print*,'In vdifc (correc rad+latent heat) surf nrj change =',dEtots,' W m-2'
+               end if
+            endif ! end of 'is_master'
             
          ! JL12 : note that the black body radiative flux emitted by the surface has been updated by the implicit scheme but not given back elsewhere.
@@ -1091,19 +1092,19 @@
          if(watertest.and.water)then
          
-	    call planetwide_sumval(massarea(:,:)*zdqdif(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dWtot_tmp)
-	    call planetwide_sumval(zdqsdif(:,igcm_h2o_vap)*area(:)*ptimestep/totarea_planet,dWtots_tmp)
+            call planetwide_sumval(massarea(:,:)*zdqdif(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dWtot_tmp)
+            call planetwide_sumval(zdqsdif(:,igcm_h2o_vap)*area(:)*ptimestep/totarea_planet,dWtots_tmp)
             do ig = 1, ngrid
-	       vdifcncons(ig)=SUM(mass(ig,:)*zdqdif(ig,:,igcm_h2o_vap))
-	    enddo
-	    call planetwide_sumval(massarea(:,:)*zdqdif(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-	    call planetwide_sumval(zdqsdif(:,igcm_h2o_ice)*area(:)*ptimestep/totarea_planet,dWtots)
-	    dWtot = dWtot + dWtot_tmp
-	    dWtots = dWtots + dWtots_tmp
+               vdifcncons(ig)=SUM(mass(ig,:)*zdqdif(ig,:,igcm_h2o_vap))
+            enddo
+            call planetwide_sumval(massarea(:,:)*zdqdif(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
+            call planetwide_sumval(zdqsdif(:,igcm_h2o_ice)*area(:)*ptimestep/totarea_planet,dWtots)
+            dWtot = dWtot + dWtot_tmp
+            dWtots = dWtots + dWtots_tmp
             do ig = 1, ngrid
-	       vdifcncons(ig)=vdifcncons(ig) + SUM(mass(ig,:)*zdqdif(ig,:,igcm_h2o_ice))
-	    enddo	    
-	    call planetwide_maxval(vdifcncons(:),nconsMAX)
-
-	    if (is_master) then
+               vdifcncons(ig)=vdifcncons(ig) + SUM(mass(ig,:)*zdqdif(ig,:,igcm_h2o_ice))
+            enddo            
+            call planetwide_maxval(vdifcncons(:),nconsMAX)
+
+            if (is_master) then
                print*,'---------------------------------------------------------------'
                print*,'In difv atmospheric water change        =',dWtot,' kg m-2'
@@ -1111,5 +1112,5 @@
                print*,'In difv non-cons factor                 =',dWtot+dWtots,' kg m-2'
                print*,'In difv MAX non-cons factor             =',nconsMAX,' kg m-2 s-1'
-	    endif
+            endif
 
          endif ! end of 'watertest'
@@ -1157,5 +1158,5 @@
          ! Test energy conservation
          if(enertest)then
-	    call planetwide_sumval(cpp*massarea(:,:)*zdtadj(:,:)/totarea_planet,dEtot)
+            call planetwide_sumval(cpp*massarea(:,:)*zdtadj(:,:)/totarea_planet,dEtot)
             if (is_master) print*,'In convadj atmospheric energy change  =',dEtot,' W m-2'
          endif
@@ -1163,19 +1164,19 @@
          ! Test water conservation
          if(watertest)then
-	    call planetwide_sumval(massarea(:,:)*zdqadj(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dWtot_tmp)
+            call planetwide_sumval(massarea(:,:)*zdqadj(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dWtot_tmp)
             do ig = 1, ngrid
-	       cadjncons(ig)=SUM(mass(ig,:)*zdqadj(ig,:,igcm_h2o_vap))
-	    enddo
-	    call planetwide_sumval(massarea(:,:)*zdqadj(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-	    dWtot = dWtot + dWtot_tmp
+               cadjncons(ig)=SUM(mass(ig,:)*zdqadj(ig,:,igcm_h2o_vap))
+            enddo
+            call planetwide_sumval(massarea(:,:)*zdqadj(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
+            dWtot = dWtot + dWtot_tmp
             do ig = 1, ngrid
-	       cadjncons(ig)=cadjncons(ig) + SUM(mass(ig,:)*zdqadj(ig,:,igcm_h2o_ice))
-	    enddo	    
-	    call planetwide_maxval(cadjncons(:),nconsMAX)
+               cadjncons(ig)=cadjncons(ig) + SUM(mass(ig,:)*zdqadj(ig,:,igcm_h2o_ice))
+            enddo            
+            call planetwide_maxval(cadjncons(:),nconsMAX)
 
             if (is_master) then
-	       print*,'In convadj atmospheric water change     =',dWtot,' kg m-2'
+               print*,'In convadj atmospheric water change     =',dWtot,' kg m-2'
                print*,'In convadj MAX non-cons factor          =',nconsMAX,' kg m-2 s-1'
-	    endif
+            endif
             
          endif ! end of 'watertest'
@@ -1208,10 +1209,10 @@
          ! test energy conservation
          if(enertest)then
-	    call planetwide_sumval(cpp*massarea(:,:)*zdtc(:,:)/totarea_planet,dEtot)
-	    call planetwide_sumval(capcal(:)*zdtsurfc(:)*area(:)/totarea_planet,dEtots)
-	    if (is_master) then
-	       print*,'In co2cloud atmospheric energy change   =',dEtot,' W m-2'
+            call planetwide_sumval(cpp*massarea(:,:)*zdtc(:,:)/totarea_planet,dEtot)
+            call planetwide_sumval(capcal(:)*zdtsurfc(:)*area(:)/totarea_planet,dEtots)
+            if (is_master) then
+               print*,'In co2cloud atmospheric energy change   =',dEtot,' W m-2'
                print*,'In co2cloud surface energy change       =',dEtots,' W m-2'
-	    endif
+            endif
          endif
 
@@ -1233,13 +1234,13 @@
             if(watercond.and.(RLVTT.gt.1.e-8))then
 
-	       dqmoist(1:ngrid,1:nlayer,1:nq)=0.
-	       dtmoist(1:ngrid,1:nlayer)=0.
+               dqmoist(1:ngrid,1:nlayer,1:nq)=0.
+               dtmoist(1:ngrid,1:nlayer)=0.
                
                ! Moist Convective Adjustment.
                ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-	       call moistadj(ngrid,nlayer,nq,pt,pq,pdq,pplev,pplay,dtmoist,dqmoist,ptimestep,rneb_man)
+               call moistadj(ngrid,nlayer,nq,pt,pq,pdq,pplev,pplay,dtmoist,dqmoist,ptimestep,rneb_man)
 
                pdq(1:ngrid,1:nlayer,igcm_h2o_vap) = pdq(1:ngrid,1:nlayer,igcm_h2o_vap)     &
-	                                          + dqmoist(1:ngrid,1:nlayer,igcm_h2o_vap)
+                                                  + dqmoist(1:ngrid,1:nlayer,igcm_h2o_vap)
                pdq(1:ngrid,1:nlayer,igcm_h2o_ice) = pdq(1:ngrid,1:nlayer,igcm_h2o_ice)     &
                                                   + dqmoist(1:ngrid,1:nlayer,igcm_h2o_ice)
@@ -1249,24 +1250,24 @@
                if(enertest)then
                
-		  call planetwide_sumval(cpp*massarea(:,:)*dtmoist(:,:)/totarea_planet,dEtot)
-		  call planetwide_maxval(dtmoist(:,:),dtmoist_max)
-		  call planetwide_minval(dtmoist(:,:),dtmoist_min)
-		  madjdEz(:,:)=cpp*mass(:,:)*dtmoist(:,:)
+                  call planetwide_sumval(cpp*massarea(:,:)*dtmoist(:,:)/totarea_planet,dEtot)
+                  call planetwide_maxval(dtmoist(:,:),dtmoist_max)
+                  call planetwide_minval(dtmoist(:,:),dtmoist_min)
+                  madjdEz(:,:)=cpp*mass(:,:)*dtmoist(:,:)
                   do ig=1,ngrid
                      madjdE(ig) = cpp*SUM(mass(:,:)*dtmoist(:,:))
                   enddo
                   
-		  if (is_master) then
+                  if (is_master) then
                      print*,'In moistadj atmospheric energy change   =',dEtot,' W m-2'
                      print*,'In moistadj MAX atmospheric energy change   =',dtmoist_max*ptimestep,'K/step'
                      print*,'In moistadj MIN atmospheric energy change   =',dtmoist_min*ptimestep,'K/step'
-		  endif
-		  
-		  call planetwide_sumval(massarea(:,:)*dqmoist(:,:,igcm_h2o_vap)*ptimestep/totarea_planet+	&
-		  	                 massarea(:,:)*dqmoist(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-		  if (is_master) print*,'In moistadj atmospheric water change    =',dWtot,' kg m-2'
+                  endif
+                  
+                  call planetwide_sumval(massarea(:,:)*dqmoist(:,:,igcm_h2o_vap)*ptimestep/totarea_planet+        &
+                                           massarea(:,:)*dqmoist(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
+                  if (is_master) print*,'In moistadj atmospheric water change    =',dWtot,' kg m-2'
                   
                endif ! end of 'enertest'
-	       
+               
 
                ! Large scale condensation/evaporation.
@@ -1284,13 +1285,13 @@
                      lscaledE(ig) = cpp*SUM(mass(:,:)*dtlscale(:,:))
                   enddo
-		  call planetwide_sumval(cpp*massarea(:,:)*dtlscale(:,:)/totarea_planet,dEtot)
-
-		  if (is_master) print*,'In largescale atmospheric energy change =',dEtot,' W m-2'
+                  call planetwide_sumval(cpp*massarea(:,:)*dtlscale(:,:)/totarea_planet,dEtot)
+
+                  if (is_master) print*,'In largescale atmospheric energy change =',dEtot,' W m-2'
 
                   ! Test water conservation.
-		  call planetwide_sumval(massarea(:,:)*dqvaplscale(:,:)*ptimestep/totarea_planet+	&
-		  	                 SUM(massarea(:,:)*dqcldlscale(:,:))*ptimestep/totarea_planet,dWtot)
+                  call planetwide_sumval(massarea(:,:)*dqvaplscale(:,:)*ptimestep/totarea_planet+        &
+                                           SUM(massarea(:,:)*dqcldlscale(:,:))*ptimestep/totarea_planet,dWtot)
                         
-		  if (is_master) print*,'In largescale atmospheric water change  =',dWtot,' kg m-2'
+                  if (is_master) print*,'In largescale atmospheric water change  =',dWtot,' kg m-2'
                endif ! end of 'enertest'
 
@@ -1316,7 +1317,7 @@
 
                pdq(1:ngrid,1:nlayer,igcm_h2o_vap) = pdq(1:ngrid,1:nlayer,igcm_h2o_vap) &
-	                                          + zdqrain(1:ngrid,1:nlayer,igcm_h2o_vap)
+                                                  + zdqrain(1:ngrid,1:nlayer,igcm_h2o_vap)
                pdq(1:ngrid,1:nlayer,igcm_h2o_ice) = pdq(1:ngrid,1:nlayer,igcm_h2o_ice) &
-	                                          + zdqrain(1:ngrid,1:nlayer,igcm_h2o_ice)
+                                                  + zdqrain(1:ngrid,1:nlayer,igcm_h2o_ice)
                pdt(1:ngrid,1:nlayer) = pdt(1:ngrid,1:nlayer)+zdtrain(1:ngrid,1:nlayer)
                
@@ -1327,30 +1328,30 @@
                if(enertest)then
                
-		  call planetwide_sumval(cpp*massarea(:,:)*zdtrain(:,:)/totarea_planet,dEtot)
-		  if (is_master) print*,'In rain atmospheric T energy change       =',dEtot,' W m-2'
-		  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_ice)/totarea_planet*RLVTT/cpp,dItot_tmp)
-		  call planetwide_sumval(area(:)*zdqssnow(:)/totarea_planet*RLVTT/cpp,dItot)
-		  dItot = dItot + dItot_tmp
-		  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dVtot_tmp)
-		  call planetwide_sumval(area(:)*zdqsrain(:)/totarea_planet*RLVTT/cpp,dVtot)
-		  dVtot = dVtot + dVtot_tmp
-		  dEtot = dItot + dVtot
+                  call planetwide_sumval(cpp*massarea(:,:)*zdtrain(:,:)/totarea_planet,dEtot)
+                  if (is_master) print*,'In rain atmospheric T energy change       =',dEtot,' W m-2'
+                  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_ice)/totarea_planet*RLVTT/cpp,dItot_tmp)
+                  call planetwide_sumval(area(:)*zdqssnow(:)/totarea_planet*RLVTT/cpp,dItot)
+                  dItot = dItot + dItot_tmp
+                  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dVtot_tmp)
+                  call planetwide_sumval(area(:)*zdqsrain(:)/totarea_planet*RLVTT/cpp,dVtot)
+                  dVtot = dVtot + dVtot_tmp
+                  dEtot = dItot + dVtot
                   
-		  if (is_master) then
+                  if (is_master) then
                      print*,'In rain dItot =',dItot,' W m-2'
                      print*,'In rain dVtot =',dVtot,' W m-2'
                      print*,'In rain atmospheric L energy change       =',dEtot,' W m-2'
-		  endif
+                  endif
 
                   ! Test water conservation
-		  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_vap)*ptimestep/totarea_planet+	&
-		  	massarea(:,:)*zdqrain(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-		  call planetwide_sumval((zdqsrain(:)+zdqssnow(:))*area(:)*ptimestep/totarea_planet,dWtots)
+                  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_vap)*ptimestep/totarea_planet+        &
+                          massarea(:,:)*zdqrain(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
+                  call planetwide_sumval((zdqsrain(:)+zdqssnow(:))*area(:)*ptimestep/totarea_planet,dWtots)
                   
-		  if (is_master) then
-                  	print*,'In rain atmospheric water change        =',dWtot,' kg m-2'
-                  	print*,'In rain surface water change            =',dWtots,' kg m-2'
-                  	print*,'In rain non-cons factor                 =',dWtot+dWtots,' kg m-2'
-		  endif
+                  if (is_master) then
+                          print*,'In rain atmospheric water change        =',dWtot,' kg m-2'
+                          print*,'In rain surface water change            =',dWtots,' kg m-2'
+                          print*,'In rain non-cons factor                 =',dWtot+dWtots,' kg m-2'
+                  endif
                   
                endif ! end of 'enertest'
@@ -1373,10 +1374,10 @@
            
                iq=igcm_h2o_ice
-	       call planetwide_sumval(massarea(:,:)*pq(:,:,iq)*ptimestep/totarea_planet,dWtot)
-	       call planetwide_sumval(massarea(:,:)*pdq(:,:,iq)*ptimestep/totarea_planet,dWtots)
-	       if (is_master) then
-	      	  print*,'Before sedim pq  =',dWtot,' kg m-2'
+               call planetwide_sumval(massarea(:,:)*pq(:,:,iq)*ptimestep/totarea_planet,dWtot)
+               call planetwide_sumval(massarea(:,:)*pdq(:,:,iq)*ptimestep/totarea_planet,dWtots)
+               if (is_master) then
+                        print*,'Before sedim pq  =',dWtot,' kg m-2'
                   print*,'Before sedim pdq =',dWtots,' kg m-2'
-	       endif
+               endif
             endif
            
@@ -1387,10 +1388,10 @@
             if(watertest)then
                iq=igcm_h2o_ice
-	       call planetwide_sumval(massarea(:,:)*pq(:,:,iq)*ptimestep/totarea_planet,dWtot)
-	       call planetwide_sumval(massarea(:,:)*pdq(:,:,iq)*ptimestep/totarea_planet,dWtots)
-	       if (is_master) then
-              	  print*,'After sedim pq  =',dWtot,' kg m-2'
-              	  print*,'After sedim pdq =',dWtots,' kg m-2'
-  	       endif
+               call planetwide_sumval(massarea(:,:)*pq(:,:,iq)*ptimestep/totarea_planet,dWtot)
+               call planetwide_sumval(massarea(:,:)*pdq(:,:,iq)*ptimestep/totarea_planet,dWtots)
+               if (is_master) then
+                        print*,'After sedim pq  =',dWtot,' kg m-2'
+                        print*,'After sedim pdq =',dWtots,' kg m-2'
+                 endif
             endif
 
@@ -1401,11 +1402,11 @@
             ! Test water conservation
             if(watertest)then
-	       call planetwide_sumval(massarea(:,:)*(zdqsed(:,:,igcm_h2o_vap)+zdqsed(:,:,igcm_h2o_ice))*ptimestep/totarea_planet,dWtot)
-	       call planetwide_sumval((zdqssed(:,igcm_h2o_vap)+zdqssed(:,igcm_h2o_ice))*area(:)*ptimestep/totarea_planet,dWtots)
-	       if (is_master) then
-              	  print*,'In sedim atmospheric ice change         =',dWtot,' kg m-2'
-              	  print*,'In sedim surface ice change             =',dWtots,' kg m-2'
-              	  print*,'In sedim non-cons factor                =',dWtot+dWtots,' kg m-2'
-	       endif
+               call planetwide_sumval(massarea(:,:)*(zdqsed(:,:,igcm_h2o_vap)+zdqsed(:,:,igcm_h2o_ice))*ptimestep/totarea_planet,dWtot)
+               call planetwide_sumval((zdqssed(:,igcm_h2o_vap)+zdqssed(:,igcm_h2o_ice))*area(:)*ptimestep/totarea_planet,dWtots)
+               if (is_master) then
+                        print*,'In sedim atmospheric ice change         =',dWtot,' kg m-2'
+                        print*,'In sedim surface ice change             =',dWtots,' kg m-2'
+                        print*,'In sedim non-cons factor                =',dWtot+dWtots,' kg m-2'
+               endif
             endif
 
@@ -1421,22 +1422,22 @@
 
             zdmassmr(1:ngrid,1:nlayer) = mass(1:ngrid,1:nlayer) *     &
-	       (   zdqevap(1:ngrid,1:nlayer)                          &
-	         + zdqrain(1:ngrid,1:nlayer,igcm_h2o_vap)             &
-		 + dqmoist(1:ngrid,1:nlayer,igcm_h2o_vap)             &
-		 + dqvaplscale(1:ngrid,1:nlayer) )
+               (   zdqevap(1:ngrid,1:nlayer)                          &
+                 + zdqrain(1:ngrid,1:nlayer,igcm_h2o_vap)             &
+                 + dqmoist(1:ngrid,1:nlayer,igcm_h2o_vap)             &
+                 + dqvaplscale(1:ngrid,1:nlayer) )
 
             do ig = 1, ngrid
-	       zdmassmr_col(ig)=SUM(zdmassmr(ig,1:nlayer))
+               zdmassmr_col(ig)=SUM(zdmassmr(ig,1:nlayer))
             enddo
             
-	    call writediagfi(ngrid,"mass_evap","mass gain"," ",3,zdmassmr)
-	    call writediagfi(ngrid,"mass_evap_col","mass gain col"," ",2,zdmassmr_col)
-	    call writediagfi(ngrid,"mass","mass","kg/m2",3,mass)
-
-	    call mass_redistribution(ngrid,nlayer,nq,ptimestep,                     &
+            call writediagfi(ngrid,"mass_evap","mass gain"," ",3,zdmassmr)
+            call writediagfi(ngrid,"mass_evap_col","mass gain col"," ",2,zdmassmr_col)
+            call writediagfi(ngrid,"mass","mass","kg/m2",3,mass)
+
+            call mass_redistribution(ngrid,nlayer,nq,ptimestep,                     &
                                      rnat,capcal,pplay,pplev,pt,tsurf,pq,qsurf,     &
-		                     pu,pv,pdt,zdtsurf,pdq,pdu,pdv,zdmassmr,        &
-		                     zdtmr,zdtsurfmr,zdpsrfmr,zdumr,zdvmr,zdqmr,zdqsurfmr)
-	 
+                                     pu,pv,pdt,zdtsurf,pdq,pdu,pdv,zdmassmr,        &
+                                     zdtmr,zdtsurfmr,zdpsrfmr,zdumr,zdvmr,zdqmr,zdqsurfmr)
+         
             pdq(1:ngrid,1:nlayer,1:nq) = pdq(1:ngrid,1:nlayer,1:nq) + zdqmr(1:ngrid,1:nlayer,1:nq)
             dqsurf(1:ngrid,1:nq)       = dqsurf(1:ngrid,1:nq) + zdqsurfmr(1:ngrid,1:nq)
@@ -1444,8 +1445,8 @@
             pdu(1:ngrid,1:nlayer)      = pdu(1:ngrid,1:nlayer) + zdumr(1:ngrid,1:nlayer)
             pdv(1:ngrid,1:nlayer)      = pdv(1:ngrid,1:nlayer) + zdvmr(1:ngrid,1:nlayer)
-	    pdpsrf(1:ngrid)            = pdpsrf(1:ngrid) + zdpsrfmr(1:ngrid)
+            pdpsrf(1:ngrid)            = pdpsrf(1:ngrid) + zdpsrfmr(1:ngrid)
             zdtsurf(1:ngrid)           = zdtsurf(1:ngrid) + zdtsurfmr(1:ngrid)
-	    
-	 endif
+            
+         endif
 
   ! ------------------
@@ -1493,5 +1494,5 @@
             call hydrol(ngrid,nq,ptimestep,rnat,tsurf,qsurf,dqsurf,dqs_hyd, &
                         capcal,albedo,albedo_bareground,                    &
-	                albedo_snow_SPECTV,albedo_co2_ice_SPECTV,           &
+                        albedo_snow_SPECTV,albedo_co2_ice_SPECTV,           &
                         mu0,zdtsurf,zdtsurf_hyd,hice,pctsrf_sic,            &
                         sea_ice)
@@ -1504,17 +1505,17 @@
             ! Test energy conservation
             if(enertest)then
-	       call planetwide_sumval(area(:)*capcal(:)*zdtsurf_hyd(:)/totarea_planet,dEtots)
-	       if (is_master) print*,'In hydrol surface energy change     =',dEtots,' W m-2'
+               call planetwide_sumval(area(:)*capcal(:)*zdtsurf_hyd(:)/totarea_planet,dEtots)
+               if (is_master) print*,'In hydrol surface energy change     =',dEtots,' W m-2'
             endif
 
             ! test water conservation
             if(watertest)then
-	       call planetwide_sumval(dqs_hyd(:,igcm_h2o_ice)*area(:)*ptimestep/totarea_planet,dWtots)
-	       if (is_master) print*,'In hydrol surface ice change            =',dWtots,' kg m-2'
-	          call planetwide_sumval(dqs_hyd(:,igcm_h2o_vap)*area(:)*ptimestep/totarea_planet,dWtots)
-	       if (is_master) then
+               call planetwide_sumval(dqs_hyd(:,igcm_h2o_ice)*area(:)*ptimestep/totarea_planet,dWtots)
+               if (is_master) print*,'In hydrol surface ice change            =',dWtots,' kg m-2'
+                  call planetwide_sumval(dqs_hyd(:,igcm_h2o_vap)*area(:)*ptimestep/totarea_planet,dWtots)
+               if (is_master) then
                   print*,'In hydrol surface water change          =',dWtots,' kg m-2'
                   print*,'---------------------------------------------------------------'
-	       endif
+               endif
             endif
 
@@ -1590,6 +1591,6 @@
       ! Test energy conservation
       if(enertest)then
-	 call planetwide_sumval(area(:)*capcal(:)*zdtsurf(:)/totarea_planet,dEtots)	 
-	 if (is_master) print*,'Surface energy change                 =',dEtots,' W m-2'
+         call planetwide_sumval(area(:)*capcal(:)*zdtsurf(:)/totarea_planet,dEtots)         
+         if (is_master) print*,'Surface energy change                 =',dEtots,' W m-2'
       endif
 
@@ -1638,8 +1639,8 @@
          print*,Ts1,Ts2,Ts3,TsS
       else
-      	 if (is_master) then
+               if (is_master) then
             print*,'  ave[Tsurf]     min[Tsurf]     max[Tsurf]'
             print*,Ts1,Ts2,Ts3
-	 endif
+         endif
       end if
 
